Bug 731475 - RFE: Kickstart -> TDL [NEEDINFO]
Summary: RFE: Kickstart -> TDL
Keywords:
Status: CLOSED EOL
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: imagefactory
Version: 1.0.0
Hardware: All
OS: All
high
high
Target Milestone: rc
Assignee: Ian McLeod
QA Contact: Rehana
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-17 18:30 UTC by William Henry
Modified: 2018-12-04 14:27 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-02 19:34:01 UTC
kcleveng: needinfo? (imcleod)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 731476 None None None Never

Internal Links: 731476

Description William Henry 2011-08-17 18:30:59 UTC
Description of problem:

Many of our customers have lots of Kickstart based assets and would like to be able to take advantage of those assets in CloudForms.  It is desirable to have a way of taking information from Kickstart files and generating a TDL xml file.  

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 jrd 2011-08-17 18:51:27 UTC
This is quite a bit more difficult than turning a template into a kickstart.  Mostly because kickstarts have all kinds of things they can do which were intentionally not included in template semantics.

It would help if there were specific use cases and examples cited.  We aspire to make the easy cases easy, but it's not always obvious what that means.

Comment 2 Chris Lalancette 2011-08-17 20:25:07 UTC
Well, there is already some plumbing for this.  In particular, Oz can (optionally) be overridden to use a user-specified kickstart instead of a pre-canned one.  That functionality is not exposed in imagefactory at the moment, though we could add an optional attribute to the QMF build object to allow the user to specify this.

Of course, that does not help in the "snapshot" case, where you are starting from an already existing image.  There, you would have to resort to parsing the kickstart/autounattend/siffile/etc, and executing parts of it that you could.  We certainly could consider doing this, though it is something of a dicey situation; there are certain things we can't change at all (partition tables come to mind), and certain things that we can (%packages, %post, etc), so the user might get a surprise at the end.  It would take more thought to see how useful that would be.

Comment 3 jrd 2011-09-22 19:24:57 UTC
https://www.aeolusproject.org/redmine/issues/2388

We won't be able to deal with this until post 1.0.

Comment 4 wes hayutin 2011-09-22 19:45:57 UTC
moving version to post 1.0

Comment 5 wes hayutin 2011-09-28 16:37:14 UTC
making sure all the bugs are at the right version for future queries

Comment 7 wes hayutin 2012-02-22 23:45:49 UTC
moving version to 1.0.0 .  version = found in version


Note You need to log in before you can comment on or make changes to this bug.